<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Wycieczki</title>
    <link th:href="@{/styles/main.css}" rel="stylesheet"/>
</head>
<body>
<th:block th:insert="~{insert::header}"></th:block>
<div class="trip-container shadow">
    <div class="trip-item" tabindex="0" th:each="trip : ${tripDetails}">
        <div class="trip-header">
            <div class="trip-header-item">
                <div class="trip-header-item-length">Długość wycieczki:</div>
                <div th:text="${trip.get(0).get(0).get('tripLength')}"></div>
                <div class="trip-header-item-length-unit">km</div>
            </div>
            <div class="trip-header-item">
                <div class="trip-header-item-height">Różnica wysokości:</div>
                <div th:text="${trip.get(0).get(0).get('tripHeight')}"></div>
                <div class="trip-header-item-height-unit">m</div>
            </div>
            <div class="trip-header-item">
                <div class="trip-header-item-points-for-route">Punkty za wycieczke:</div>
                <div th:text="${trip.get(0).get(0).get('tripPointsForRoute')}"></div>
                <div class="trip-header-item-points-for-route-unit">pkt</div>
            </div>
        </div>
        <div class="trip-details">
            <th:block th:each="details : ${trip.get(1)}">
                <div class="trip-point">
                    <div class="trip-point-item">
                        <div th:text="${details.get('pointName')}"></div>
                    </div>
                    <div class="trip-point-item">
                        <div th:text="${details.get('pointHeight')}"></div>
                        <div>m n.p.m</div>
                    </div>
                </div>

                <div class="trip-route" th:switch="${details.get('isLastPoint')}" th:case="'false'">
                    <div class="trip-route-item">
                        <div class="trip-route-item-name">Szlak:</div>
                        <div th:text="${details.get('routeName')}"></div>
                    </div>
                    <div class="trip-route-item">
                        <div class="trip-route-item-length">Długość trasy:</div>
                        <div th:text="${details.get('routeLength')}"></div>
                        <div class="trip-route-item-length-unit">km</div>
                    </div>
                    <div class="trip-route-item">
                        <div class="trip-route-item-height">Różnica wysokości:</div>
                        <div th:text="${details.get('routeHeight')}"></div>
                        <div class="trip-route-item-height-unit">m</div>
                    </div>
                    <div class="trip-route-item">
                        <div class="trip-route-item-points-for-route">Punkty za trase:</div>
                        <div th:text="${details.get('routePointsForRoute')}"></div>
                        <div class="trip-route-item-points-for-route-unit">pkt</div>
                    </div>
                </div>
            </th:block>
        </div>
    </div>
</div>
</body>
</html>